bend-osdev-hashes
Search uses release 0.1.0.0 · 266 definitions
Definitions (266)
- def thirda byte string in three pieces: [0, n/3), [n/3, 2n/3), [2n/3, n)
- def p1
- def p2
- def p3
- def mic.of
- def mic
- law md_streamingThe engine (hashes.bend), for every chaining value type, compression function and block size: a ++ b is a, then b, from every state
- law md4_streamingMD4 (RFC 1320): update over a ++ b is update over a, then b, from every state
- law md4_splitMD4 (RFC 1320): the digest in two pieces is the one-shot digest, for every split
- law md4_split3MD4 (RFC 1320): and in three pieces
- law md4_lengthMD4 (RFC 1320): the digest of every state has 16 bytes
- law md4_digest_lengthMD4 (RFC 1320): the digest of every message has 16 bytes
- law md4_rfc1320_1MD4 (RFC 1320): RFC 1320, appendix A.5 (the test suite)
- law md4_rfc1320_2MD4 (RFC 1320): RFC 1320, appendix A.5 (the test suite)
- law md4_rfc1320_3MD4 (RFC 1320): RFC 1320, appendix A.5 (the test suite)
- law md4_rfc1320_4MD4 (RFC 1320): RFC 1320, appendix A.5 (the test suite)
- law md4_rfc1320_5MD4 (RFC 1320): RFC 1320, appendix A.5 (the test suite)
- law md4_rfc1320_6MD4 (RFC 1320): RFC 1320, appendix A.5 (the test suite)
- law md4_rfc1320_7MD4 (RFC 1320): RFC 1320, appendix A.5 (the test suite)
- law md5_streamingMD5 (RFC 1321): update over a ++ b is update over a, then b, from every state
- law md5_splitMD5 (RFC 1321): the digest in two pieces is the one-shot digest, for every split
- law md5_split3MD5 (RFC 1321): and in three pieces
- law md5_lengthMD5 (RFC 1321): the digest of every state has 16 bytes
- law md5_digest_lengthMD5 (RFC 1321): the digest of every message has 16 bytes
- law md5_rfc1321_1MD5 (RFC 1321): RFC 1321, appendix A.5 (the test suite)
- law md5_rfc1321_2MD5 (RFC 1321): RFC 1321, appendix A.5 (the test suite)
- law md5_rfc1321_3MD5 (RFC 1321): RFC 1321, appendix A.5 (the test suite)
- law md5_rfc1321_4MD5 (RFC 1321): RFC 1321, appendix A.5 (the test suite)
- law md5_rfc1321_5MD5 (RFC 1321): RFC 1321, appendix A.5 (the test suite)
- law md5_rfc1321_6MD5 (RFC 1321): RFC 1321, appendix A.5 (the test suite)
- law md5_rfc1321_7MD5 (RFC 1321): RFC 1321, appendix A.5 (the test suite)
- law sha1_streamingSHA-1 (FIPS 180-4): update over a ++ b is update over a, then b, from every state
- law sha1_splitSHA-1 (FIPS 180-4): the digest in two pieces is the one-shot digest, for every split
- law sha1_split3SHA-1 (FIPS 180-4): and in three pieces
- law sha1_lengthSHA-1 (FIPS 180-4): the digest of every state has 20 bytes
- law sha1_digest_lengthSHA-1 (FIPS 180-4): the digest of every message has 20 bytes
- law sha1_fips_1SHA-1 (FIPS 180-4): FIPS 180-4's examples (NIST's SHA-1 example values): "abc" and the 448-bit message
- law sha1_fips_2SHA-1 (FIPS 180-4): FIPS 180-4's examples (NIST's SHA-1 example values): "abc" and the 448-bit message
- law ripemd160_streamingRIPEMD-160: update over a ++ b is update over a, then b, from every state
- law ripemd160_splitRIPEMD-160: the digest in two pieces is the one-shot digest, for every split
- law ripemd160_split3RIPEMD-160: and in three pieces
- law ripemd160_lengthRIPEMD-160: the digest of every state has 20 bytes
- law ripemd160_digest_lengthRIPEMD-160: the digest of every message has 20 bytes
- law ripemd160_paper_1RIPEMD-160: the test values of Dobbertin, Bosselaers and Preneel (the RIPEMD-160 page)
- law ripemd160_paper_2RIPEMD-160: the test values of Dobbertin, Bosselaers and Preneel (the RIPEMD-160 page)
- law ripemd160_paper_3RIPEMD-160: the test values of Dobbertin, Bosselaers and Preneel (the RIPEMD-160 page)
- law ripemd160_paper_4RIPEMD-160: the test values of Dobbertin, Bosselaers and Preneel (the RIPEMD-160 page)
- law ripemd160_paper_5RIPEMD-160: the test values of Dobbertin, Bosselaers and Preneel (the RIPEMD-160 page)
- law ripemd160_paper_6RIPEMD-160: the test values of Dobbertin, Bosselaers and Preneel (the RIPEMD-160 page)
- law ripemd160_paper_7RIPEMD-160: the test values of Dobbertin, Bosselaers and Preneel (the RIPEMD-160 page)
- law ripemd160_paper_8RIPEMD-160: the test values of Dobbertin, Bosselaers and Preneel (the RIPEMD-160 page)
- law sm3_streamingSM3 (GB/T 32905): update over a ++ b is update over a, then b, from every state
- law sm3_splitSM3 (GB/T 32905): the digest in two pieces is the one-shot digest, for every split
- law sm3_split3SM3 (GB/T 32905): and in three pieces
- law sm3_lengthSM3 (GB/T 32905): the digest of every state has 32 bytes
- law sm3_digest_lengthSM3 (GB/T 32905): the digest of every message has 32 bytes
- law sm3_example_1SM3 (GB/T 32905): draft-shen-sm3-hash-01, examples 1 and 2
- law sm3_example_2SM3 (GB/T 32905): draft-shen-sm3-hash-01, examples 1 and 2
- law streebog512_streamingStreebog-512 (RFC 6986): update over a ++ b is update over a, then b, from every state
- law streebog512_splitStreebog-512 (RFC 6986): the digest in two pieces is the one-shot digest, for every split
- law streebog512_split3Streebog-512 (RFC 6986): and in three pieces
- law streebog512_lengthStreebog-512 (RFC 6986): the digest of every state has 64 bytes
- law streebog512_digest_lengthStreebog-512 (RFC 6986): the digest of every message has 64 bytes
- law streebog256_streamingStreebog-256 (RFC 6986): update over a ++ b is update over a, then b, from every state
- law streebog256_splitStreebog-256 (RFC 6986): the digest in two pieces is the one-shot digest, for every split
- law streebog256_split3Streebog-256 (RFC 6986): and in three pieces
- law streebog256_lengthStreebog-256 (RFC 6986): the digest of every state has 32 bytes
- law streebog256_digest_lengthStreebog-256 (RFC 6986): the digest of every message has 32 bytes
- law streebog_lps_zeroStreebog-512, K = LPS(h xor N) = LPS(0^512) (RFC 6986 prints it most significant byte first)
- law streebog_g_example1Streebog-512, the first compression, g_N(h, m) with h = N = 0 and m the padded M1 (RFC 6986 prints it most significant byte first)
- law streebog_g0_example1Streebog-512, g_0(h, N) after it, N = 504 (RFC 6986 prints it most significant byte first)
- law michael_streamingMichael (IEEE 802.11i): update over a ++ b is update over a, then b, from every state
- law michael_splitMichael (IEEE 802.11i): the tag in two pieces is the one-call tag, for every key and split
- law michael_lengthMichael (IEEE 802.11i): the tag of every state has 8 bytes
- law michael_mic_lengthMichael (IEEE 802.11i): the tag of every message under every key has 8 bytes
- law michael_short_keyMichael (IEEE 802.11i): a key of 7 bytes is refused
- law michael_vector_1Michael (IEEE 802.11i): test vector 1 as recalled from IEEE 802.11i's Annex H.2 (each key the previous tag), not checked against a published copy (README.md)
- law michael_vector_2Michael (IEEE 802.11i): test vector 2 as recalled from IEEE 802.11i's Annex H.2 (each key the previous tag), not checked against a published copy (README.md)
- law michael_vector_3Michael (IEEE 802.11i): test vector 3 as recalled from IEEE 802.11i's Annex H.2 (each key the previous tag), not checked against a published copy (README.md)
- law michael_vector_4Michael (IEEE 802.11i): test vector 4 as recalled from IEEE 802.11i's Annex H.2 (each key the previous tag), not checked against a published copy (README.md)
- law michael_vector_5Michael (IEEE 802.11i): test vector 5 as recalled from IEEE 802.11i's Annex H.2 (each key the previous tag), not checked against a published copy (README.md)
- law michael_vector_6Michael (IEEE 802.11i): test vector 6 as recalled from IEEE 802.11i's Annex H.2 (each key the previous tag), not checked against a published copy (README.md)
- law michael_tkip_m63Michael (IEEE 802.11i): IEEE Std 802.11-2012, M.6.3 (the TKIP test vector, as hostap's BSD-licensed wlantest/test_vectors.c reproduces it): the MIC of its MSDU (DA, SA, priority 0 and three zero bytes, then the data) under TK bytes 16 to 23